octo_image 1.0.0+1
octo_image: ^1.0.0+1 copied to clipboard

A multifunctional Flutter image widget. Supports placeholders, error widgets and image transformers with fading.

[1.0.0+1] - 2021-04-02 #

  • Remove unused import

[1.0.0] - 2021-03-27 #

  • Fixes "Cannot clone a disposed image" error
  • Migration to nullsafety

[1.0.0-nullsafety.1] - 2021-01-15 #

  • Re-enabled blurhash features.

[1.0.0-nullsafety.0] - 2021-01-14 #

  • NNBD migrated version
  • (Temporarily) removed blurhash feature.

[0.3.0] - 2020-09-07 #

  • Fixed bug when fitting placeholders or error widgets.
  • BREAKING: Doesn't automatically center placeholders and error widgets anymore.

[0.2.1] - 2020-06-04 #

  • Make whole widget, including placeholder and error widgets, adhere to the height and width set.

[0.2.0] - 2020-05-28 #

  • Made gaplessPlayback fade from one image to the next

[0.1.1] - 2020-05-20 #

  • Update dependency for blurHash

[0.1.0] - 2020-05-14 #

  • Removed headers as they are not used for anything
  • Added gaplessPlayback, works just like in Image: it keeps the old image visible when a new image is being loaded by the same widget.
  • Changed how default parameter values work preventing setting them to null.

[0.0.1] - 2020-05-08 #

  • Initial release with already lots of great features :)
300
likes
130
pub points
99%
popularity

Publisher

baseflow.com

A multifunctional Flutter image widget. Supports placeholders, error widgets and image transformers with fading.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter, flutter_blurhash

More

Packages that depend on octo_image